Jetspeed 2
  1. Jetspeed 2
  2. JS2-912

Adjust installer to embed Tomcat 6 instead of Tomcat 5.5

    Details

    • Type: Task Task
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.2.0
    • Fix Version/s: 2.2.0
    • Component/s: Installer
    • Labels:
      None

      Description

      The installer of 2.1.3 embeds Tomcat 5.5, version 2.2 may be embedding Tomcat 6 instead.

      1. JS2-912-B.patch
        43 kB
        Jeroen Hoffman
      2. JS2-912.patch
        35 kB
        Jeroen Hoffman

        Issue Links

          Activity

          Hide
          Ate Douma added a comment -

          Fixes applied

          Show
          Ate Douma added a comment - Fixes applied
          Hide
          Ate Douma added a comment -

          There are still several small but important configuration changes needed for the installer to be ready for the 2.2.0 release.
          I already have these ready and will apply immediately

          Show
          Ate Douma added a comment - There are still several small but important configuration changes needed for the installer to be ready for the 2.2.0 release. I already have these ready and will apply immediately
          Hide
          Vivek Kumar added a comment -

          Patch applied
          Thanks again Jeroen

          Show
          Vivek Kumar added a comment - Patch applied Thanks again Jeroen
          Hide
          Jeroen Hoffman added a comment -

          I atached a second patch with improvements:

          • better excluded dependencies so not only the used jar's are present in database/lib
          • again a setupNoDB target so installation without databaase works again
          • added a profile to the DeployMojo so it can be used for tomcat6 but default behaviour is still tomcat 5
          Show
          Jeroen Hoffman added a comment - I atached a second patch with improvements: better excluded dependencies so not only the used jar's are present in database/lib again a setupNoDB target so installation without databaase works again added a profile to the DeployMojo so it can be used for tomcat6 but default behaviour is still tomcat 5
          Hide
          Jeroen Hoffman added a comment -

          This patch contains besides usage of Tomcat 6 in the installer also a better version of the second patch for JS2-911, see there for details.

          Show
          Jeroen Hoffman added a comment - This patch contains besides usage of Tomcat 6 in the installer also a better version of the second patch for JS2-911 , see there for details.

            People

            • Assignee:
              Ate Douma
              Reporter:
              Jeroen Hoffman
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development